Bug 46688 - libvorbis: Multiple issues (4.3)
libvorbis: Multiple issues (4.3)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.3
All Linux
: P3 normal (vote)
: UCS 4.3-0-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-17 07:42 CET by Philipp Hahn
Modified: 2018-05-16 17:04 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 8.8 (CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2018-03-17 07:42:08 CET
New Debian libvorbis 1.3.5-4+deb9u2 fixes:
This update addresses the following issues:
* Prevent out-of-bounds write in codebook decoding (CVE-2018-5146)

CVE-2018-5146 Mozilla: Vorbis audio processing out of bounds write (MFSA 2018-08)
Comment 1 Philipp Hahn univentionstaff 2018-03-17 07:43:08 CET
[4.3-0] 4a0b186ba8 Bug #46688: libvorbis_1.3.5-4+deb9u2

Copied from Debian-Stretch
Comment 2 Quality Assurance univentionstaff 2018-05-04 16:44:00 CEST
--- mirror/ftp/4.3/unmaintained/4.3-0/source/libvorbis_1.3.5-4+deb9u1.dsc
+++ apt/ucs_4.3-0-errata4.3-0/source/libvorbis_1.3.5-4+deb9u2.dsc
@@ -1,3 +1,8 @@
+1.3.5-4+deb9u2 [Fri, 16 Mar 2018 18:12:39 +0100] Salvatore Bonaccorso <carnil@debian.org>:
+
+  * Non-maintainer upload by the Security Team.
+  * Prevent out-of-bounds write in codebook decoding (CVE-2018-5146)
+
 1.3.5-4+deb9u1 [Sat, 27 Jan 2018 23:03:00 +0000] Moritz Muehlenhoff <jmm@debian.org>:
 
   * CVE-2017-14632 CVE-2017-14633
Comment 3 Arvid Requate univentionstaff 2018-05-14 19:40:50 CEST
* No UCS specific patches
* Comparison to previously shipped version ok
* Binary package update Ok
* Advisory Ok
Comment 4 Arvid Requate univentionstaff 2018-05-16 17:04:15 CEST
<http://errata.software-univention.de/ucs/4.3/59.html>